AbstractTlsSigner (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.crypto.tls

## Class AbstractTlsSigner

- java.lang.Object
- - org.bouncycastle.crypto.tls.AbstractTlsSigner

- All Implemented Interfaces:
    TlsSigner
  Direct Known Subclasses:
    TlsDSASigner, TlsRSASigner

      public abstract class AbstractTlsSigner
      extends java.lang.Object
      implements TlsSigner

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected TlsContext` | `context`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractTlsSigner()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Signer` | `createSigner(AsymmetricKeyParameter privateKey)`
    `Signer` | `createVerifyer(AsymmetricKeyParameter publicKey)`
    `byte[]` | `generateRawSignature(AsymmetricKeyParameter privateKey, byte[] md5AndSha1)`
    `void` | `init(TlsContext context)`
    `boolean` | `verifyRawSignature(byte[] sigBytes, AsymmetricKeyParameter publicKey, byte[] md5AndSha1)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.bouncycastle.crypto.tls.TlsSigner

      `createSigner, createVerifyer, generateRawSignature, isValidPublicKey, verifyRawSignature`

- - ### Field Detail

    - #### context

          protected TlsContext context

  - ### Constructor Detail

    - #### AbstractTlsSigner

          public AbstractTlsSigner()

  - ### Method Detail

    - #### init

          public void init(TlsContext context)

      Specified by:
        `init` in interface `TlsSigner`

    - #### generateRawSignature

          public byte[] generateRawSignature(AsymmetricKeyParameter privateKey,
                                    byte[] md5AndSha1)
                                      throws CryptoException

      Specified by:
        `generateRawSignature` in interface `TlsSigner`
      Throws:
        `CryptoException`

    - #### verifyRawSignature

          public boolean verifyRawSignature(byte[] sigBytes,
                                   AsymmetricKeyParameter publicKey,
                                   byte[] md5AndSha1)
                                     throws CryptoException

      Specified by:
        `verifyRawSignature` in interface `TlsSigner`
      Throws:
        `CryptoException`

    - #### createSigner

          public Signer createSigner(AsymmetricKeyParameter privateKey)

      Specified by:
        `createSigner` in interface `TlsSigner`

    - #### createVerifyer

          public Signer createVerifyer(AsymmetricKeyParameter publicKey)

      Specified by:
        `createVerifyer` in interface `TlsSigner`